﻿<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:replace="layout/layout.html :: head"></head>
<body>
	<header th:replace="layout/layout.html :: header"></header>

	<div class="container py-4">

		<div class="card bg-dark text-white">
			<div class="card-header" th:text="${titulo}"></div>
			<div class="card-body">
				<div class="row">
					<div class="col-sm-6 bg-secondary">
						<div class="d-flex justify-content-center">
							<div th:if="${#strings.isEmpty(cliente.foto)}"
								style="font-size: 35px;">
								<i class="fas fa-user fa-5x"></i>
							</div>
							<img th:if="!${#strings.isEmpty(cliente.foto)}"
								class="img-fluid rounded"
								th:src="@{'/uploads/' + ${cliente.foto}}" />
						</div>
					</div>
					<div class="col-sm-6">
						<ul class="list-group list-group-flush bg-light text-dark">
							<li class="list-group-item">
								<div class="row">
									<div class="col-sm-4" th:text="#{text.cliente.nombre}" >Nombre</div>
									<div class="col-sm-8" th:text="${cliente.nombre}"></div>
								</div>
							</li>
							<li class="list-group-item">
								<div class="row">
									<div class="col-sm-4" th:text="#{text.cliente.apellido}" >Apellido</div>
									<div class="col-sm-8" th:text="${cliente.apellido}"></div>
								</div>
							</li>
							<li class="list-group-item">
								<div class="row">
									<div class="col-sm-4" th:text="#{text.cliente.email}">E-Mail</div>
									<div class="col-sm-8" th:text="${cliente.email}"></div>
								</div>
							</li>
							<li class="list-group-item">
								<div class="row">
									<div class="col-sm-4" th:text="#{text.cliente.createAt}">Fecha</div>
									<div class="col-sm-8" th:text="${cliente.createAt}"></div>
								</div>
							</li>
						</ul>
					</div>
				</div>
				<a  sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{'/form/'+${cliente.id}}" class="card-link" th:text="#{text.cliente.form.titulo.editar}" >Editar</a>
			</div>
		</div>
		<div class="card bg-dark text-white my-4">
			<div class="card-header" th:text="${tituloFactura}"></div>
			<div class="card-body">
			
			<a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{'/factura/form/'+ ${cliente.id}}" class="btn btn-outline-primary m-2"
					tabindex="-1" role="button" th:text="#{text.cliente.factura.crear}" >Agregar factura</a>
			
				<table class="table table-striped bg-light">
					<thead class="thead-light">
						<tr>
							<th th:text="#{text.cliente.factura.folio}" >Folio</th>
							<th th:text="#{text.cliente.factura.fecha}">Fecha</th>
							<th th:text="#{text.cliente.factura.descripcion}">Descripción</th>
							<th th:text="#{text.cliente.factura.total}">Total</th>
							<th sec:authorize="hasRole('ROLE_ADMIN')" class="text-center" th:text="#{text.cliente.listar.acciones}">Acciones</th>
						</tr>
					</thead>
					<tbody>
						<tr class="text-dark" th:each="factura: ${cliente.facturas}">
							<td th:text="${factura.id}"></td>
							<td th:text="${factura.createAt}"></td>
							<td th:text="${factura.descripcion}"></td>
							<td th:text="${factura.total}"></td>
							<td sec:authorize="hasRole('ROLE_ADMIN')" class="text-center"> <a sec:authorize="hasRole('ROLE_ADMIN')" class="text-info"
								th:href="@{'/factura/ver/'+${factura.id}}">
								<i class="fas fa-info-circle"></i></a> 
								<a sec:authorize="hasRole('ROLE_ADMIN')" class="text-secondary"
								th:href="@{'/factura/delete/' + ${factura.id}}"
								onclick="return confirm('¿Estás seguro que deseas eliminar esta factura?');"><i
									class="fas fa-trash"></i></a></td>
						</tr>
					</tbody>
				</table>
				<div th:if="${#arrays.isEmpty(cliente.facturas)}" class="alert alert-warning" role="alert" th:text="#{text.cliente.detalle.no.facturas} + ${cliente.nombre} + ' ' + ${cliente.apellido}"></div>
				<!-- <nav th:replace="layout/paginator.html :: paginator"></nav>  -->
			</div>
		</div>


	</div>

	<footer th:replace="layout/layout.html :: footer"></footer>
</body>
</html>
